de.esprit.appsuite.appstore.ndf

## Class NativeAppDescriptor

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.appstore.ndf.AppDescriptor
    - - de.esprit.appsuite.appstore.ndf.NativeAppDescriptor

- All Implemented Interfaces:
    Dumpable

      public final class NativeAppDescriptor
      extends AppDescriptor

  This class describes parameters for launching a native process.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.appstore.ndf.AppDescriptor

      `appDescriptorFileName, columnArgDescr, columnDataType, columnDefaultValue, columnHelpText, columnMax, columnMin, columnMode, columnOption, columnOsArch, columnOsFamily, columnOsType, columnPathEntry, columnProperty, columnValue, columnVariable, commandLineArgs, docTypeAppDescriptor, environmentMap, nativePath, objectJavaApp, objectNativeApp, propCommandLineArgs, propExecutablePath, propInstallationFile, propJavaTechnology, propJavaVmType, propMainClass, propNumericalPrecision, propVmArgs, propVmMaxMemory, sysPathMap, sysPropMap, tableClassPath, tableCommandLineOptionDescriptions, tableEnvironment, tableNativePath, tableSystemPathProps, tableSystemProps, validJavaAppKeys, validNativeAppKeys`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeAppDescriptor(java.lang.String installationFile, NumericalPrecision numericalPrecision, java.lang.String executablePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dumpSpecialProperties(DumpString s)`
    `java.lang.String` | `getExecutablePath()`
    `boolean` | `isJavaProcess()`

    - ### Methods inherited from class de.esprit.appsuite.appstore.ndf.AppDescriptor

      `addCommandLineOptionDescription, addLibraryPath, getAppDirName, getAppDisplayName, getAppInfo, getAppVersion, getBatchOptionDescription, getCommandLineArgs, getCommandLineOptionDescriptions, getCustomProperties, getEnvironmentMap, getHelpOptionDescription, getInstallationFile, getNativePath, getNumericalPrecision, getSystemPathProperties, getSystemProperties, getVersionDirName, getVersionOptionDescription, getVersionPath, getZipFile, getZipFileName, putCustomProperty, putEnv, putSystemPathProperty, putSystemProperty, readAppDescriptor, readAppDescriptor, readDefaultLaunchPrefs, setAppVersion, setCommandLineArgs, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeAppDescriptor

          public NativeAppDescriptor(java.lang.String installationFile,
                             NumericalPrecision numericalPrecision,
                             java.lang.String executablePath)

  - ### Method Detail

    - #### getExecutablePath

          public java.lang.String getExecutablePath()

    - #### isJavaProcess

          public final boolean isJavaProcess()

      Specified by:
        `isJavaProcess` in class `AppDescriptor`

    - #### dumpSpecialProperties

          protected void dumpSpecialProperties(DumpString s)

      Specified by:
        `dumpSpecialProperties` in class `AppDescriptor`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.